<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">
    <PreferenceCategory
        app:key="General"
        app:title="General">
        <SwitchPreference
            android:defaultValue="false"
            android:key="IS_DARK_THEME_ACTIVE_PREFERENCES_KEY"
            android:summary="@string/dark_theme_preference_summary"
            android:title="@string/dark_theme_preference_title" />
        <SwitchPreference
            android:defaultValue="true"
            android:key="preftimeformat12hours"
            android:summary="@string/time_format_12hrs_preference_summary"
            android:title="@string/time_format_12hrs_preference_title" />
        <SwitchPreference
            android:defaultValue="false"
            android:key="t9searchenabled"
            android:summary="@string/t9_preference_summary"
            android:title="@string/t9_preference_title" />
        <SwitchPreference
            android:defaultValue="false"
            android:key="T9_PINYIN_ENABLED"
            android:summary="@string/t9_pinyin_summary"
            android:title="@string/t9_pinyin_title" />
        <SwitchPreference
            android:defaultValue="true"
            android:key="sortUsingFirstName"
            android:title="@string/sort_using_first_name" />
        <SwitchPreference
            android:defaultValue="true"
            android:key="SHOULD_ASK_FOR_PERMISSIONS"
            android:title="@string/ask_permissions_again" />
        <SwitchPreference
            android:defaultValue="false"
            android:key="TOGGLE_CONTACT_ACTIONS"
            android:title="@string/toggle_contact_actions"
            android:summary="@string/toggle_contact_actions_summary" />
        <SwitchPreference
            android:defaultValue="true"
            android:key="SHOULD_SHOW_BOTTOM_MENU"
            android:title="@string/should_show_bottom_menu" />
        <SwitchPreference
            android:defaultValue="true"
            android:key="BOTTOM_MENU_OPEN_DEFAULT"
            android:title="@string/open_bottommenu_on_start" />
        <SwitchPreference
            android:defaultValue="false"
            android:key="SHOULD_AUTO_CANCEL_MISSED_CALL_NOTIF"
            android:title="@string/auto_cancel_missed_call_notifs" />
        <SwitchPreference
            android:defaultValue="false"
            android:key="KEYBOARD_RESIZE_VIEWS"
            android:title="@string/keyboard_adjusts_views" />

        <ListPreference
            android:title="@string/default_tab"
            android:key="DEFAULT_TAB"
            android:entries="@array/tabs_list"
            android:entryValues="@array/tabs_values"
            android:summary="@string/default_tab_summary" />
        <SwitchPreference
            android:enabled="false"
            android:defaultValue="false"
            android:key="SHOULD_USE_SYSTEM_PHONE_APP"
            android:summary="@string/should_use_system_app_summary"
            android:title="@string/should_use_system_app" />
        <Preference
            android:title="Choose custom font size"
            android:summary="Increase or decrease the size of text across app"
            android:key="TEXT_SIZE_SCALING" />

    </PreferenceCategory>
    <PreferenceCategory
        app:key="Social"
        app:title="Social">
        <SwitchPreference
            android:defaultValue="false"
            android:key="SOCIAL_INTEGRATION_ENABLED"
            android:summary="@string/social_integration_preference_summary"
            android:title="@string/social_integration_preference_title" />
        <DropDownPreference android:defaultValue="Telegram"
            android:title="@string/default_social_app"
            android:enabled="false"
            android:key="default_social_app"
            android:entries="@array/social_integrations"
            android:entryValues="@array/social_integrations"
            />
    </PreferenceCategory>
    <PreferenceCategory
        app:key="Export"
        app:title="Export">
        <SwitchPreference
            android:defaultValue="true"
            android:key="exportContactsEveryWeek"
            android:summary="@string/auto_export_contacts_summary"
            android:title="@string/auto_export_contacts_title" />

        <EditTextPreference
            android:key="encryptingContactsExportKey"
            android:summary="@string/encrypt_contacts_export_password_summary"
            android:title="@string/encrypt_contacts_export_password_title" />
    </PreferenceCategory>

    <PreferenceCategory
        app:key="CallFiltering"
        app:summary="@string/call_filtering_category_summary"
        android:enabled="false"
        app:title="@string/call_filtering_category_title">
        <SwitchPreference
            android:defaultValue="false"
            android:key="enableCallFiltering"
            android:summary="@string/call_filtering_enable_call_filtering_summary"
            android:title="@string/call_filtering_enable_call_filtering_title" />

        <SwitchPreference
            android:key="rejectCalls"
            android:summary="@string/call_filtering_reject_calls_summary"
            android:title="@string/call_filtering_reject_calls_title" />
    </PreferenceCategory>
</PreferenceScreen>
